// Using Console class
public class ConsoleDemo {

  public static void main(String[] args) {
    System.out.println(                                            // (1)
        "Program finds the largest number in a sequence of numbers" +
        " entered at the console.\n" +
        "A negative number signals end of the sequence.");
    int maxValue = 0;
    while (true) {
      System.out.print("Enter an integer: ");
      int n = Console.readInt();                                   // (2)
      if (n < 0) {
        break;
      }
      if (n > maxValue) {
        maxValue = n;
      }
    }
    System.out.println("Largest number: " + maxValue);
  }
}