// Using GUIDialog class
public class GUIDialogDemo {

  public static void main(String[] args) {
    GUIDialog.prompt(                                            // (1)
        "Program finds the largest number in a sequence of numbers.\n" +
        "A negative number signals end of the sequence.");
    int maxValue = 0;
    while (true) {
      int n = GUIDialog.requestInt("Enter an integer: ");            // (2)
      if (n < 0) {
        break;
      }
      if (n > maxValue) {
        maxValue = n;
      }
    }
    GUIDialog.prompt("Largest number: " + maxValue);             // (3)
    System.exit(0);
  }
}