// Illustrating use of break and continue statements
public class BreakAndContinue {
  public static void main(String[] args) {

    // for loop with a break statement.
    System.out.println("Square of numbers from 1 to 5");
    for (int i = 1; i <= 5; i++) {                         // (1)
      if (i == 4) {                                        // (2)
        System.out.println("Terminates the loop when i is equal to " + i);
        break;                                             // (3)
      }
      // Never executed when i == 4, as the loop terminates.
      System.out.println(i + "\t\t" + (i * i));            // (4)
    }

    // for loop with a continue statement.
    System.out.println("Square of numbers from 1 to 5");   // (5)
    for (int i = 1; i <= 5; i++) {                         // (6)
      if (i == 3) {                                        // (7)
        System.out.println("Skips rest of the loop body" +
                           " when i is equal to " + i);
        continue;                                          // (8)
      }
      // Skipped when i == 3, otherwise executed.
      System.out.println(i + "\t\t" + (i * i));            // (9)
    }
  }
}