import java.util.Scanner;
// Simulates dice throw using a pseudo-random number generator
// and computes the frequency of each dice value (1-6)
public class DiceStats2 {
  public static void main(String[] args) {

    // Array for counting the frequency of each dice value.
    int[] frequency = new int[6];

    Scanner keyboard = new Scanner(System.in);
    System.out.print("Enter the number of times to throw the dice: ");
    int noOfThrows = keyboard.nextInt();
    for (int i = 1; i <= noOfThrows; i++) {
      int diceValue = (int)(6.0*Math.random()) + 1;  // random numbers 1-6
      System.out.println(i + ". dice value: " + diceValue);

      // Increment the frequency counter for this throw.
      frequency[diceValue-1]++;
    }

    for (int diceValue = 1; diceValue <= 6; diceValue++) {
      System.out.println("No. of times dice value is " + diceValue + ": "
                          + frequency[diceValue-1]);
    }
  }
}