// Misc. Array Operations
public class MiscArrayOperations {
  public static void main(String[] args) {
    // Problem (1) Copying an array of primitive values
    int[] intValuesI = {1, 3, 1949};               // Copy from this array
    int[] intValuesII = new int[intValuesI.length];// to this array.
    for (int i = 0; i < intValuesI.length; i++) {
      intValuesII[i] = intValuesI[i];
    }

    // Problem (2) Copying an array of objects (Reference value copying)
    String[] refValuesI = {"1.", "March", "1949"}; // Copy from this array
    String[] refValuesII = new String[refValuesI.length];// to this array.
    for (int i = 0; i < intValuesI.length; i++) {
      refValuesII[i] = refValuesI[i];
    }

    // Problem (3) Comparing arrays of primitive values
    boolean equalValues = true;
    for (int i = 0; equalValues && i < intValuesI.length; i++)
      if (intValuesI[i] != intValuesII[i]) {
        equalValues = false;
      }
    String notStr = "not ";
    if (equalValues) {
      notStr ="";
    }
    System.out.println("Arrays intValuesI and intValuesII are " + notStr +
                       "equal");

    // Problem (4) Comparing arrays of objects for reference value equality
    String[] refValuesIII = {"1949", "March", "1."};
    boolean equalRefValues = true;
    for (int i = 0; equalRefValues && i < refValuesIII.length; i++) {
      if (refValuesIII[i] != refValuesII[i]) {
        equalRefValues = false;
      }
    }
    notStr = "not ";
    if (equalRefValues) {
      notStr ="";
    }
    System.out.println("Arrays refValuesIII and refValuesII are " +
                       notStr + "equal");
  }
}