import java.util.Scanner;

public class PartiallyFilledArrays {
  public static void main(String[] args) {

    // Setup to read from the terminal window
    Scanner keyboard = new Scanner(System.in);

    // Create the array to hold maximum 50 words
    String[] sentence = new String[50];

    System.out.print("Enter a sentence (terminate with \"EOL\"): ");

    int wordIndex = -1;
    String word = keyboard.next(); // Read the first word.
    while (!word.equals("EOL") && wordIndex < sentence.length) { // (1)
      wordIndex++;                 // Index is incremented before storing
      sentence[wordIndex] = word;
      word = keyboard.next();      // Read the next word.
    }
    int wordCount = wordIndex + 1;
    System.out.println("No. of words: " + wordCount);

    // Print the words in reverse.
    for (int i = wordCount - 1; i >= 0; i--) {                   // (2)
      System.out.printf("%s ", sentence[i]);
    }
    System.out.println();
  }
}