import java.util.Scanner;

class BetterComparison2 {
  public static void main(String[] args) {
    
    // Uses the class EmployeeV7 from Chapter 7.
    EmployeeV7 employeeA = new EmployeeV7();
    EmployeeV7 employeeB = new EmployeeV7();

    System.out.printf("Input informasjon about employee A:\n");  // (1)
    inputEmployeeInfo(employeeA);

    System.out.printf("Input informasjon about employee B:\n");  // (2)
    inputEmployeeInfo(employeeB);

    if (employeeA.hourlyRate == employeeB.hourlyRate) {
      System.out.printf("Both earn $%.2f per hour.\n", 
                        employeeA.hourlyRate);
    } else {
      EmployeeV7 earnsMost;
      if (employeeA.hourlyRate > employeeB.hourlyRate) {         // (3)
        earnsMost = employeeA;
      } else {
        earnsMost = employeeB;
      }

      System.out.printf("%s %s earns most, with $%.2f per hour.\n",
			earnsMost.firstName,                     // (4)
			earnsMost.lastName,
			earnsMost.hourlyRate);

      System.out.printf("A 37.5 hour work week yields $ %.2f.",
			earnsMost.computeSalary(37.5));
    }
  }

  static void inputEmployeeInfo(EmployeeV7 anEmployee) {
    Scanner input = new Scanner(System.in);
    System.out.printf("- First name: ");
    anEmployee.firstName = input.nextLine();
    System.out.printf("- Surname: ");
    anEmployee.lastName = input.nextLine();
    System.out.printf("- Hourly rate: ");
    anEmployee.hourlyRate = input.nextDouble();
    input.nextLine(); // skip rest of the line
  }
}
