class PersonnelRegister {
  Employee[] allEmployees;
  int employeeCount;
  int womenCount;

  PersonnelRegister() {
    allEmployees = new Employee[100];                              // (1)
  }

  void addEmployee(Employee newEmployee) {
    allEmployees[employeeCount] = newEmployee;
    employeeCount++;
    if (newEmployee.gender == Gender.FEMALE) {
      womenCount++;
    }
  }

  int numberOfEmployees() {
    return employeeCount;
  }

  double percentageWomen() {
    return 100.0 * womenCount / employeeCount;
  }
}

public class NewCompany {
  public static void main(String[] args) {
    TextUserInterface ui = new TextUserInterface();
    PersonnelRegister register = new PersonnelRegister();

    do {
      Employee newEmployee = ui.inputEmployee("employee", true);
      register.addEmployee(newEmployee);
    } while (ui.requestYesNoAnswer("Are there any more employees?"));

    ui.reportPercentageWomen(register.numberOfEmployees(),
           register.percentageWomen());
  }
}