// A company with a personnel register of employees
public class Company {                                             // (3)
  // Field
  private PersonnelRegister register;

  // Constructors
  Company() {
    register = new PersonnelRegister();
  }
  Company(PersonnelRegister register) {
    this.register = register;
  }

  // Print statistics
  void printReport() {
    System.out.println(register);
  }
  void printAllEmployeesToTerminalWindow() {
    Employee[] employees = register.getEmployeeArray();
    int numOfEmployees = register.getNumOfEmployees();
    System.out.println("Number of employees: " + numOfEmployees);
    for (int i = 0; i < numOfEmployees; i++)
      System.out.println(employees[i]);
  }

  public static void main(String[] args) {                        // (4)
    // Create an array of Employees.
    Employee[] employeeInfo = {
        new Employee("Ole",  "Olsen",  30.00, Gender.MALE),
        new Employee("Bill", "Bailey", 40.00, Gender.MALE),
        new Employee("Liv",  "Larsen", 50.00, Gender.FEMALE)
    };

    // Create a personnel register.
    PersonnelRegister register = new PersonnelRegister(employeeInfo);

    // Create a company.
    Company firma = new Company(register);

    // Print info about employees.
    firma.printAllEmployeesToTerminalWindow();
    firma.printReport();
  }
}