// Using assertions to verify user input and calculated values.
import java.util.Scanner;
public class FloatingPointArea3 {
  public static void main(String[] args) {
    Scanner keyboard = new Scanner(System.in);

    // Read rectangle dimensions
    System.out.print("Enter the rectangle length [decimal number]: ");
    double length = keyboard.nextDouble();
    keyboard.nextLine();
    System.out.print("Enter the rectangle width [decimal number]: ");
    double width = keyboard.nextDouble();

    // Validate user input
    assert length > 0.0 : "The length of the rectangle must be > 0.0";// (1)
    assert width > 0.0 : "The width of the rectangle must be > 0.0";  // (2)

    double area = length * width; // Calculate area of the rectangle

    // Print the correct answer
    System.out.printf(
      "A rectangle of length %.2f cm. and width %.2f cm. has" +
      " area %.2f sq. cm.%n",
      length, width, area);
  }
}