// Calculating weekly salary, version 4.
import java.util.Scanner;
public class Salary4 {
  public static void main(String[] args) {
    final double NORMAL_WORKWEEK = 37.5;
    final double FIXED_SALARY = 750.0;

    // Read the number of hours worked this week.
    Scanner keyboard = new Scanner(System.in);
    System.out.print("Enter the number of hours worked [decimal number]: ");
    double numHours = keyboard.nextDouble();

    // Calculate the weekly salary and print it to the terminal window.
    double salary = 0.0;
    if (numHours <= NORMAL_WORKWEEK) {                             // (1)
      salary = FIXED_SALARY;                                       // (2)
    } else if (numHours <= 42.0) {                                 // (3)
      salary = FIXED_SALARY + (numHours - NORMAL_WORKWEEK) * 30.0; // (4)
    } else {
      salary = FIXED_SALARY +
               (numHours - NORMAL_WORKWEEK) * 30.0 + 100.0;        // (5)
    }
    System.out.printf("Salary for %.1f hours is %.2f USD%n",
                       numHours, salary);
  }
}