// Using ragged arrays
public class RaggedArrays {

  public static void main(String[] args) {

    // (1) Create and initialise the two-dimensional array
    // with rainfall data
    double[][] rainfallData = {
      {56.6, 30.2},          // Two weather stations
      {20.5},                // One weather station
      {15.8, 7.0, 45.8, 0.6} // Four weather stations
    };

    // Print rainfall data.
    for (int regionIndex = 0;
         regionIndex < rainfallData.length;
         regionIndex++) {
      System.out.printf("Rainfall for region%2d: ", regionIndex);
      for (int stationIndex = 0;                                    //(2)
           stationIndex < rainfallData[regionIndex].length;
           stationIndex++) {
        System.out.printf("%10.2f",
                           rainfallData[regionIndex][stationIndex]);
      }
      System.out.println();
    }
  }
}