import java.util.Scanner;
public class ArrayMaker {

  public static void main(String[] args) {
    // (1) Read first names:
    String[] firstNameArray = new String[3];
    System.out.println("Read first names");
    fillStringArray(firstNameArray);                           // (1a)
    printStrArray(firstNameArray);

    // (2) Read last names:
    System.out.println("Read last names");
    String[] lastNameArray = createStringArray();              // (2a)
    printStrArray(lastNameArray);
  }
  
  // (3) Reference value of the array to be filled is passed
  //     as formal parameter:
  static void fillStringArray(String[] strArray) {             // (3a)
    Scanner keyboard = new Scanner(System.in);
    for (int i = 0; i < strArray.length; i++) {
      System.out.print("Next: ");
      strArray[i] = keyboard.nextLine();
    }
  }
  
  // (4) The method creates and fills an array of strings.
  //     The reference value of this array is returned by the method:
  static String[] createStringArray() {                        // (4a)
    Scanner keyboard = new Scanner(System.in);
    System.out.print("Enter the number of items to read: ");
    int size = keyboard.nextInt();
    String[] strArray = new String[size];
    keyboard.nextLine();                    // Clear any input first
    for (int i = 0; i < strArray.length; i++) {
      System.out.print("Next: ");
      strArray[i] = keyboard.nextLine();
    }
    return strArray;
  }
  
  // (5) Prints the strings in an array to the terminal window:
  static void printStrArray(String[] strArray) {
    for (String str : strArray) {
      System.out.println(str);
    }
  }
}