class NewCounter {
  static String description = "A new class that creates counters.";

  int value;

  NewCounter(int initialValue) {                  // A constructor
    System.out.println(value);                  // (1)
    System.out.println(this.value);             // (2)
    System.out.println(NewCounter.value);       // (3)
    System.out.println(description);            // (4)
    System.out.println(this.description);       // (5)
    System.out.println(NewCounter.description); // (6)
    value = initialValue;
  }

  void resetCounter() {                         // An instance method
    NewCounter t1 = new NewCounter(10);
    System.out.println(value);                  // (7)
    System.out.println(this.value);             // (8)
    System.out.println(t1.value);               // (9)
    System.out.println(NewCounter.value);       // (10)
    System.out.println(description);            // (11)
    System.out.println(this.description);       // (12)
    System.out.println(t1.description);         // (13)
    System.out.println(NewCounter.description); // (14)
    value = 0;
  }

  static String getDescription() {              // A static method
    NewCounter t1 = new NewCounter(10);
    System.out.println(value);                  // (15)
    System.out.println(this.value);             // (16)
    System.out.println(t1.value);               // (17)
    System.out.println(NewCounter.value);       // (18)
    System.out.println(description);            // (19)
    System.out.println(this.description);       // (20)
    System.out.println(t1.description);         // (21)
    System.out.println(NewCounter.description); // (22)
    return description;
  }
}