class InnkapsletVareBruk {
    public static void main(String[] args) {
        Vare bok = new Vare("Cryptonomicon", 249.95);
        bok.settMoms(false);    // ingen moms p bker
        skrivUtVare(bok);       
    }

    static void skrivUtVare(Vare enVare) {
        System.out.println("Utsalgsprisen til " + enVare.hentNavn() +
            " er kr " + enVare.hentUtsalgspris() + ".");
    }
}

class Vare {
    private String navn;
    private double pris;
    private boolean moms = false;
    static final double MOMS = 0.24;

    public Vare(String vareNavn, double basisPris) {
        navn = vareNavn;
        pris = basisPris;
    }

    public void settMoms(boolean momspliktig) {
        moms = momspliktig;
    }

    public String hentNavn() {
        return navn;
    }

    public double hentUtsalgspris() {
        if (moms)
            return pris * (1 + MOMS);
        else
            return pris;
    }
}